#!/usr/bin/bash

for cur in ./html/{*,**/*}; do
  if [[ "$cur" == *"/tracks/"* ]]; then
    continue
  fi
  if [ -f "$cur" ]; then
    d=$(dirname $(realpath --relative-to="./html" "$cur"))
    if [[ "$d" == "." ]]; then
      neocities upload $cur
    else
      neocities upload -d $(dirname $(realpath --relative-to="./html" "$cur")) $cur
    fi
  fi
done
